import { PrivilegeWithAmount } from "@frontend/kitui"
import { PrivilegeWithoutPrice } from "./privilege"


type ServiceKey = string;

export type CustomTariffUserValues = Record<string, number>;

export type CustomTariffUserValuesMap = Record<ServiceKey, CustomTariffUserValues>;

export type ServiceKeyToPriceMap = Record<ServiceKey, number>;

export interface CreateTariffBody {
    name: string;
    price?: number;
    isCustom: boolean;
    privileges: PrivilegeWithoutPrice[];
}
